Toggle the per-(space, integration) block_user_connections gate (admin)

PATCH/api/integrations/{packageId}/settings

Authorization

better-auth.session_token<token>

Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.

In: cookie

Path Parameters

packageId*string

Integration package id (e.g. @official/gmail).

Match^@[a-z0-9][a-z0-9-]*/[a-z0-9][a-z0-9-]*$

Header Parameters

X-Org-Id?string

Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).

Formatuuid
X-Space-Id?string

Space ID. Required for space-scoped routes (agents, runs, schedules, and space-scoped module routes). Not needed for API key auth (space resolved from key).

Request Body

application/json

block_user_connections*boolean
curl -X PATCH "https://your-instance/api/integrations/string/settings" \  -H "Content-Type: application/json" \  -d '{    "block_user_connections": true  }'
{
  "manifest": {},
  "auths": [
    {
      "auth_key": "string",
      "type": "oauth2",
      "required": true,
      "scopes": [
        "string"
      ],
      "resource": "string",
      "connections": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "integration_package_id": "string",
          "auth_key": "string",
          "account_id": "string",
          "identity_claims": {},
          "scopes_granted": [
            "string"
          ],
          "needs_reconnection": true,
          "expiresAt": "2019-08-24T14:15:22Z",
          "owner_type": "user",
          "owner_id": "string",
          "owner_name": "string",
          "locked_by": "admin_pin",
          "label": "string",
          "shared_with_org": true,
          "client_ref": "string",
          "variables": {
            "property1": "string",
            "property2": "string"
          },
          "createdAt": "2019-08-24T14:15:22Z",
          "updatedAt": "2019-08-24T14:15:22Z"
        }
      ],
      "ready": true,
      "has_oauth_client": true,
      "has_system_client": true,
      "client_auto_provisioned": true
    }
  ],
  "tool_catalog": [
    {
      "name": "string",
      "description": "string",
      "policy": {
        "required_scopes": {
          "property1": [
            "string"
          ],
          "property2": [
            "string"
          ]
        }
      }
    }
  ],
  "default_tools": [
    "string"
  ],
  "allow_undeclared_tools": true,
  "active": true,
  "block_user_connections": true,
  "platform_redirect_uri": "http://example.com"
}

{
  "type": "https://docs.appstrate.dev/errors/validation-failed",
  "title": "Validation Failed",
  "status": 400,
  "detail": "name: Invalid input: expected string, received undefined (+2 more)",
  "code": "validation_failed",
  "request_id": "req_abc123",
  "errors": [
    {
      "field": "name",
      "code": "required",
      "message": "Invalid input: expected string, received undefined"
    },
    {
      "field": "email",
      "code": "invalid_format",
      "message": "Invalid email address"
    },
    {
      "field": "age",
      "code": "invalid_type",
      "message": "Invalid input: expected number, received string"
    }
  ]
}

{
  "type": "https://docs.appstrate.dev/errors/forbidden",
  "title": "Forbidden",
  "status": 403,
  "detail": "Insufficient permissions",
  "code": "forbidden",
  "request_id": "req_abc123"
}
{
  "type": "https://docs.appstrate.dev/errors/not-found",
  "title": "Not Found",
  "status": 404,
  "detail": "Resource not found",
  "code": "not_found",
  "request_id": "req_abc123"
}